/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.genclass.api;

import org.objectweb.jorm.type.api.PType;

/**
 * This class provides a simple description of a JORM field.
 * @author	P. Dechamboux
 */

public class FieldDesc {
	/**
	 * The name of the JORM field.
	 */
	public String name;


	public String compositeName;
	/**
	 * The type of the JORM field.
	 */
	public PType type;
	public int size = PType.NOSIZE;
	public int scale = PType.NOSIZE;

	/**
	 * It constructs an RdnFieldDesc.
	 */
	public FieldDesc(String fn, String cfn, PType ft) {
		name = fn;
		compositeName = cfn;
		type = ft;
	}

	/**
	 * It constructs an RdnFieldDesc.
	 */
	public FieldDesc(String fn, String cfn, PType ft, int sz, int scale) {
		this(fn, cfn, ft);
		size = sz;
		this.scale = scale;
	}
}
