/**
 * Copyright (C) 2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.jorm.lib;

import org.objectweb.jorm.api.PNameIterator;
import org.objectweb.jorm.api.PException;

import java.util.NoSuchElementException;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class EmptyPNameIterator implements PNameIterator {

	private static PNameIterator instance;

	public static PNameIterator getInstance() {
		if (instance == null) {
		    synchronized(EmptyPNameIterator.class) {
				if (instance == null) {
				    instance = new EmptyPNameIterator();
				}
		    }
		}
		return instance;
	}

	private EmptyPNameIterator() {
	}

	public void close() throws PException {
	}

	public boolean hasNext() {
		return false;
	}

	public Object next() {
		throw new NoSuchElementException();
	}

	public void remove() {
		throw new UnsupportedOperationException("Remove operation not supported");
	}
}
