/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.mapper.fos.genclass;

import org.objectweb.jorm.genclass.api.GenClassProp;

/**
 * author Sebastien Chassande-Barrioz
 */
public interface FosGenClassProp extends GenClassProp {
	/**
	 * Specifies the class within which the related generic class is defined.
	 */
	void setClassName(String className);

	/**
	 * Specifies the field of the class which defines the related generic class.
	 */
	void setFieldName(String fieldName);

	/**
	 * Specifies the level of names of the related generic class
	 * (e.g., for a set of lists, lists are level 0).
	 */
	void setGenClassLevel(String level);
}
