/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.jorm.mapper.rdb.lib;

/**
 * This class is used to describe a mapping for the inheritance.
 * It describes a primitive element mapped onto a sql column.
 * @author Y.Bersihand
 */
public class RdbColumnInfo implements Comparable{

	//the sql name of the field
	private String name;
	//the java name of the field
	private String alias;
	//the jorm class to which it belongs
	private String className;
	
	public RdbColumnInfo(String name, String alias, String className){
		this.name = name;
		this.alias = alias;
		this.className = className;
	}
	
	public void setAlias(String alias) {
		this.alias = alias;
	}
	public void setClassName(String className) {
		this.className = className;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public String getAlias() {
		return alias;
	}
	public String getClassName() {
		return className;
	}
	public String getName() {
		return name;
	}
	
	public int compareTo(Object o) {
		if (o instanceof RdbColumnInfo) {
			RdbColumnInfo c = (RdbColumnInfo) o;
			return this.alias.compareTo(c.getAlias());
		}
		return -1;
	}
}
