/**
 * Copyright (C) 2003-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors: Olivier Lobry (olivier.lobry@francetelecom.com)
 * Date: 8 sept. 2004
 * Time: 17:13:32
 */

package org.objectweb.jorm.mapper.rdb.metainfo;

import java.util.List;

/**
 * The objective of this interface is to gather accessors to common rdb
 * information. Actually, Rdb classes share a structure which can not however
 * be factorized because those classes are already present in a hierarchy tree
 * and since multiple inheritance is not permitted in Java...
 */

public interface RdbMappingInfos {

    /**
     * Get the main table
     * @return the main table
     */
    public RdbTable getMainTable();


    /**
     * get the list of external tables as a {RdbExternalTable}
     * @return the list of external tables as a {RdbExternalTable}
     */
    public List getExternalTables();


    /**
     * get the list of external table names as a {String}
     * @return the list of external table names as a {String}
     */
    public List getExternalTableNames();

}
