/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.jorm.mapper.rdb.util;

/**
 * Enable to change the name of the field from the SQL name to the alias name
 * and the reverse.
 * 
 * Do not use "_" neither as a prefix (some db do not support column starting with "_")
 * nor as a suffix (it can change the lexical order).
 * 
 * @author Y.Bersihand
 */
public class ColumnAliasing {

	private static final String ALIAS_PREFIX = "f_";
	private static final int ALIAS_LENGTH = ALIAS_PREFIX.length();
	
	public static String getAliasFromColumn(String columnName) {
		return ALIAS_PREFIX + columnName;
	}
	
	public static String getColumnFromAlias(String alias) {
		return alias.substring(ALIAS_LENGTH);
	}
}
