/**
 * JDOWizard is a wizard that automatically generates JORM descriptor
 * files from JDO specifications.
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 0.1
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: A. De Bignicourt, S. Fiat, C. Hamon
 *
 */
package org.objectweb.jorm.metainfo.api;

public interface ParentClassMapping extends MappingStructure {

	/**
	 * Returns the name of the rule involved in the mapping of the inheritance relationship.
	 * @return	 the name of the rule.
	 */
	String getRuleName();

	/**
	 * Sets the rule name.
	 * @param rulename the name of the rule.
	 */
	void setRuleName(String rulename);

	/**
	 * Returns the FQCN of the associated extension.
	 * @return	 the name of the rule.
	 */
	String getFQName();

	/**
	 * Returns the Class object designated by the extension.
	 * @return	 a Class object.
	 */
	Class getMOClass();
}
