package org.objectweb.jorm.naming.api;

/**
 * The FieldCoder interface is used by the state implementation
 * generated by the {@link
 * org.objectweb.jorm.generator.lib.StateGenerator} class.
 *
 * @author Rafael H. Schloming &lt;rhs@mit.edu&gt;
 **/

public interface FieldCoder {

    /**
     * Encode a {@link PName} for a given field into into primitive
     * values.
     *
     * @param field the field name
     * @param pname the pname
     *
     * @return the {@link PNameGetter} with the primitive values
     */
    PNameGetter encode(String field, PName pname) throws PExceptionNaming;

    /**
     * Decode primitive values for a field into a {@link PName}.
     *
     * @param field the field name
     * @param png the primitive values
     * @param ctx the context object
     *
     * @return the {@link PName}
     */
    PName decode(String field, PNameGetter png, Object ctx)
        throws PExceptionNaming;

}
