/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 *
 * Copyright (C) 2001-2005 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, S. Chassande-Barrioz, A. Lefebvre
 */
package org.objectweb.medor.optim.jorm;

import org.objectweb.medor.expression.api.Expression;
import org.objectweb.medor.expression.api.Operand;
import org.objectweb.medor.filter.jorm.lib.CompositePName;
import org.objectweb.medor.filter.jorm.lib.SinglePName;
import org.objectweb.medor.optim.rdb.GroupSameDBRule;

/**
 * Is an extension of GroupSameDBRule rule managing QueryTree with JORM
 * stuffs.
 *
 * @author S.Chassande-Barrioz
 */
public class JormGroupSameDBRule extends GroupSameDBRule {

    public JormGroupSameDBRule() {
        super();
    }
    protected SplitQueries recurseSplit(SplitQueries split, Expression e) {
        if ((e instanceof CompositePName) ||
            (e instanceof SinglePName) ||
            (e instanceof Operand)) {
            return split;
        } else {
            return super.recurseSplit(split, e);
        }
    }
}
