/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.query.jorm.api;

import org.objectweb.medor.api.Field;
import org.objectweb.jorm.metainfo.api.TypedElement;

/**
 * This interface represents a JORM Field. Such a Field is characterized by the
 * fact that it has an associated TypedElement (either a PrimitiveElement,
 * a ClassRef or a GenClassRef).
 * It is not meant to represent a PNameField (for a NameDef of a Class).
 */
public interface JormField extends Field {

	/**
	 * Returns the JORM meta object corresponding to the JORM Field.
	 * @return the JORM meta object corresponding to the JORM Field, as a
	 * TypedElement.
	 */
	TypedElement getTypedElement();
}
