/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.medor.query.jorm.lib;

import org.objectweb.jorm.mapper.rdb.adapter.api.RdbAdapter;
import org.objectweb.medor.expression.api.Expression;
import org.objectweb.medor.expression.api.ExpressionException;
import org.objectweb.medor.expression.lib.BasicOperand;
import org.objectweb.medor.filter.jorm.lib.IsNullPName;
import org.objectweb.medor.query.rdb.lib.MedorExpression2WhereClause;

import java.util.Map;

public class JormExpression2WhereClause extends MedorExpression2WhereClause {

    static {
        registerConverter(JormExpression2WhereClause.class);
    }
    
    public JormExpression2WhereClause() {
        super();
    }

    public void convertExp2WhereClause(Expression exp,
               RdbAdapter rdbAdapter,
               StringBuffer sb,
            Map ctx) throws ExpressionException {
        if (exp instanceof IsNullPName) {
            sb.append("(? = ");
            convertExp2WhereClause(new BasicOperand(true), rdbAdapter, sb, ctx);
            sb.append(")");
        } else {
            super.convertExp2WhereClause(exp, rdbAdapter, sb, ctx);
        }
    }
    public void convertExp2WhereClauseBuilder(Expression exp,
              String rdbAdapterVarName,
              StringBuffer sb,
            Map ctx) throws ExpressionException {
        if (exp instanceof IsNullPName) {
            sb.append("(? = ");
            convertExp2WhereClauseBuilder(new BasicOperand(true), rdbAdapterVarName, sb, ctx);
            sb.append(")");
        } else
            super.convertExp2WhereClauseBuilder(exp, rdbAdapterVarName, sb, ctx);
    }
}
